List conversations
curl --request GET \
--url https://api.wircle.com/v1/conversations \
--header 'Authorization: Bearer <token>' \
--header 'X-Profile-Id: <x-profile-id>'import requests
url = "https://api.wircle.com/v1/conversations"
headers = {
"X-Profile-Id": "<x-profile-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Profile-Id': '<x-profile-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.wircle.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"items": [
{
"conversation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "direct",
"title": "<string>",
"created_by_actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_from_contact_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_preview": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"participants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "owner",
"joined_at": "2023-11-07T05:31:56Z",
"left_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"name": "<string>",
"legal_name_verified": true,
"avatar_url": "<string>",
"dark_avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"current_participant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "owner",
"joined_at": "2023-11-07T05:31:56Z",
"left_at": "2023-11-07T05:31:56Z",
"last_read_at": "2023-11-07T05:31:56Z",
"muted_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"is_unread": true
}
],
"current_actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Conversations
List conversations
Returns conversations visible to the current actor.
API key requests must include an X-Profile-Id header selecting an attached profile. Required API key scope: messages:read. Also accepted: messages:all, all:read, all:all.
GET
/
v1
/
conversations
List conversations
Authorizations
Workspace API key created in Developer → API Keys.
Headers
The workspace profile performing the request. It must be attached to the API key.
Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
⌘I